# $Revision: 1.24 $, $Date: 2007/01/23 15:47:08 $
%define		mod_name	sqlinclude
%define		apxs		/usr/sbin/apxs1
Summary:	Apache module: mySQL based "Include"-alike configuration command
Summary(pl):	Modu do apache: bazujca na mySQL komenda konfiguracji ala "Include"
Name:		apache1-mod_%{mod_name}
Version:	1.4
Release:	5
License:	BSD
Group:		Networking/Daemons
Source0:	http://dl.sourceforge.net/mod-sqlinclude/mod_sqlinclude-%{version}.tgz
# Source0-md5:	ecb1fd5d5a89c55e7dda4a9a456b0c13
URL:		http://sourceforge.net/projects/mod-sqlinclude/
BuildRequires:	apache1-devel >= 1.3.33-2
BuildRequires:	mysql-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(triggerpostun):	%{apxs}
Requires:	apache1(EAPI)
Obsoletes:	apache-mod_sqlinclude <= 1.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
mod_sqlinclude is an Apache Web server module which implements mySQL
based "Include"-alike configuration command. This lets you keep your
httpd config in database (i.e. VHosts etc).

%description -l pl
Modu do serwera Apache implementujcy bazujc na mySQL komend
konfiguracyjn typu "Include". Dziki temu moesz trzyma swoj
konfiguracj w bazie SQL.

%prep
%setup -q -n mod_%{mod_name}-%{version}

%build
%{__make} \
	APXS=%{apxs}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/conf.d}

install mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}

echo 'LoadModule %{mod_name}_module	modules/mod_%{mod_name}.so' > \
	$RPM_BUILD_ROOT%{_sysconfdir}/conf.d/90_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q apache restart

%postun
if [ "$1" = "0" ]; then
	%service -q apache restart
fi

%triggerpostun -- apache1-mod_%{mod_name} < 1.4-1.2
# check that they're not using old apache.conf
if grep -q '^Include conf\.d' /etc/apache/apache.conf; then
	%{apxs} -e -A -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
fi

%files
%defattr(644,root,root,755)
%doc CHANGE* README* *.sql
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache1-mod_sqlinclude.spec,v $
Revision 1.24  2007/01/23 15:47:08  glen
- rel 5 (R: apache1(EAPI) instead of apache1)

Revision 1.23  2006/04/14 17:03:25  glen
- use %service

Revision 1.22  2006/04/14 16:54:38  glen
- obsoletes with constant version

Revision 1.21  2006/03/27 12:41:29  glen
- rel 4 (libmysqlclient_15)

Revision 1.20  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.19  2005/10/27 17:37:26  arekm
- rel 3

Revision 1.18  2005/02/16 17:52:15  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.17  2005/02/15 12:02:46  glen
- rel 2; STBR

Revision 1.16  2005/02/10 01:48:18  glen
- confdir enabled apache1

Revision 1.15  2004/09/05 17:18:13  radek
- use "%(%{apxs} -q SYSCONFDIR)" for _sysconfdir definition

Revision 1.14  2004/09/05 16:26:30  radek
- mv apache{,1}-*; release 1

Revision 1.13  2003/09/10 09:26:21  ankry
- rel. 4

Revision 1.12  2003/08/06 16:12:25  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.11  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.10  2003/05/25 05:45:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/02/25 11:18:20  qboosh
- working Source URL

Revision 1.8  2002/12/02 11:06:14  ankry
- massive cleaning

Revision 1.7  2002/08/13 15:06:22  grzegorz
- sed -e "s/%{_sbindir}\/apxs -e/\%{apxs} -e/"

Revision 1.6  2002/07/05 19:18:55  kloczek
- release 2.

Revision 1.5  2002/07/04 12:25:02  kloczek
- use new %doc.

Revision 1.4  2002/03/26 06:44:30  kloczek
- cosmetics.

Revision 1.3  2002/03/23 22:13:14  serek
+ URL.

Revision 1.2  2002/03/23 21:50:31  misiek
- fixed scripts

Revision 1.1  2002/03/23 21:41:24  misiek
- initial pld release
